# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PDataPartitioner

Packages that use ParForProgramBlock.PDataPartitioner
Package
Description
org.apache.sysds.runtime.controlprogram

## Uses of ParForProgramBlock.PDataPartitioner in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return ParForProgramBlock.PDataPartitioner
Modifier and Type
Method
Description
`static ParForProgramBlock.PDataPartitioner`
ParForProgramBlock.PDataPartitioner.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PDataPartitioner[]`
ParForProgramBlock.PDataPartitioner.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram with parameters of type ParForProgramBlock.PDataPartitioner
Modifier and Type
Method
Description
`void`
ParForProgramBlock.`setDataPartitioner(ParForProgramBlock.PDataPartitioner partitioner)`